[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsBoolean

Get/Set parameter value as a boolean value

## Declaration

Source position: db.pas line 1252

`public property TParam.AsBoolean : Boolean read GetAsBoolean write SetAsBoolean;`

## Description

AsBoolean will return the parameter value as a boolean value. If it is written, the value is set to the specified value and the data type is set to ftBoolean.

## See also

TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant